Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.client.http
Class RestHttpClient

    java.lang.Object
      org.codehaus.xfire.client.http.AbstractHttpClient
          org.codehaus.xfire.client.http.RestHttpClient

    public class RestHttpClient

extends AbstractHttpClient

A client which invokes REST style services.

Since:
  Oct 26, 2004
Author:
  Dan Diephouse

Field Summary

Fields inherited from class org.codehaus.xfire.client.http.AbstractHttpClient
`SOAP11_ENVELOPE_NS, SOAP12_ENVELOPE_NS`

Constructor Summary
`RestHttpClient(ClientHandler bodyHandler, java.lang.String url)` Create a REST client.

Method Summary
`protected void` | `readResponse(javax.xml.stream.XMLStreamReader reader)`
`protected void` | `writeRequest(java.io.OutputStream out)`
`protected void` | `writeRequest(javax.xml.stream.XMLStreamWriter writer)`

Methods inherited from class org.codehaus.xfire.client.http.AbstractHttpClient
`getEncoding, getPassword, getUrl, getUsername, invoke, readResponse, setEncoding, setPassword, setUrl, setUsername, writeHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RestHttpClient

    public RestHttpClient(ClientHandler bodyHandler,
                          java.lang.String url)

  Create a REST client.

  Parameters:
    `bodyHandler` - The handler for the XML messages.
    `url` - The url to invoke.

Method Detail

### writeRequest

    protected void writeRequest(java.io.OutputStream out)

  Overrides:
    `writeRequest` in class `AbstractHttpClient`

### writeRequest

    protected void writeRequest(javax.xml.stream.XMLStreamWriter writer)
                         throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeRequest` in class `AbstractHttpClient`
  Throws:
    `javax.xml.stream.XMLStreamException`

### readResponse

    protected void readResponse(javax.xml.stream.XMLStreamReader reader)
                         throws javax.xml.stream.XMLStreamException,
                                XFireFault

  Specified by:
    `readResponse` in class `AbstractHttpClient`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `XFireFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.